using System;
using System.Collections.Generic;
using System.Text;

namespace PastCrew.Games.Chess.Engine.Entities
{
    /// <summary>
    /// Color of the Pieces and Board Squares
    /// </summary>
    public enum Color
    {
        black = 0,
        white
    }

    /// <summary>
    /// Indicates a set of consequences for a particular move
    /// </summary>
    [Flags()]
    public enum MoveResult
    {
        invalid     = 0x00000001,
        valid       = 0x00000002,
        strike      = 0x00000003,
        obstacle    = 0x00000004,
        promotion   = 0x00000005,
        castling    = 0x00000006,
        enpassant   = 0x00000007
    }

    /// <summary>
    /// Determines the game difficulty level
    /// </summary>
    public enum Level
    {
        easy = 0,
        average,
        hard
    }
}
